// To parse this JSON data, do
//
//     final errorMessageModel = errorMessageModelFromJson(jsonString);

import 'dart:convert';

ErrorMessageModel errorMessageModelFromJson(String str) => ErrorMessageModel.fromJson(json.decode(str));

String errorMessageModelToJson(ErrorMessageModel data) => json.encode(data.toJson());

class ErrorMessageModel {
    final DateTime? timestamp;
    final String? debugMessage;
    final dynamic trackingId;
    final String? errorCode;
    final List<dynamic>? arguments;

    ErrorMessageModel({
        this.timestamp,
        this.debugMessage,
        this.trackingId,
        this.errorCode,
        this.arguments,
    });

    factory ErrorMessageModel.fromJson(Map<String, dynamic> json) => ErrorMessageModel(
        timestamp: json["timestamp"] == null ? null : DateTime.parse(json["timestamp"]),
        debugMessage: json["debugMessage"],
        trackingId: json["trackingId"],
        errorCode: json["errorCode"],
        arguments: json["arguments"] == null ? [] : List<dynamic>.from(json["arguments"]!.map((x) => x)),
    );

    Map<String, dynamic> toJson() => {
        "timestamp": timestamp?.toIso8601String(),
        "debugMessage": debugMessage,
        "trackingId": trackingId,
        "errorCode": errorCode,
        "arguments": arguments == null ? [] : List<dynamic>.from(arguments!.map((x) => x)),
    };
}
